Bug 800794 - VM & Templates are not removed with domain destroyed
VM & Templates are not removed with domain destroyed
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 3.3.4
Assigned To: Nobody's working on this, feel free to take it
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 04:45 EST by Jakub Libosvar
Modified: 2016-02-10 11:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:41:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Libosvar 2012-03-07 04:45:33 EST
Description of problem:
There are two scenarios:

1. Storage domain is not Master - if SD is destroyed and had contained VMs and Templates, only virtual disks are removed from ovirt but VMs and templates themselves are kept in DB.

2. Storage domain is Master - if DC is forcibly removed, there is kept Templates in the cluster and cannot be removed cause there is no DC.

Version-Release number of selected component (if applicable):
ovirt-engine-backend-3.0.0_0001-3.git4364f1b.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create some VMs and some templates on SD
2. Destroy the SD
  
Actual results:
VMs & Templates are not removed

Expected results:
VMs & Templates are removed

Additional info:
This is from backend log during destroy action:
2012-03-07 10:43:51,545 INFO  [org.ovirt.engine.core.bll.storage.ForceRemoveStorageDomainCommand] (pool-5-thread-47) [7b41470f] Running command: ForceRemoveStorageDomainCommand internal: false. Entities affected :  ID: f2f2c6a8-6402-4be4-b072-21a20b6bf0c4 Type: Storage
2012-03-07 10:43:51,547 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DetachStorageDomainVDSCommand] (pool-5-thread-47) [7b41470f] START, DetachStorageDomainVDSCommand(storagePoolId = 529e3f5c-32c8-416e-9573-2e3d06b44eeb, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = f2f2c6a8-6402-4be4-b072-21a20b6bf0c4, masterDomainId = 00000000-0000-0000-0000-000000000000, masterVersion = -1, force = true), log id: 319ebe83
2012-03-07 10:43:51,570 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DetachStorageDomainVDSCommand] (pool-5-thread-47) [7b41470f] FINISH, DetachStorageDomainVDSCommand, log id: 319ebe83
Comment 1 Itamar Heim 2012-12-17 02:41:40 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.